## com.lowagie.tools.arguments
Class OptionArgument.Entry

    java.lang.Object
      com.lowagie.tools.arguments.OptionArgument.Entry

Enclosing class:
  OptionArgument

public class OptionArgument.Entry
extends Object

An Entry that can be chosen as option.

Field Summary
`private Object` `description` Describes the option.
`private Object` `value` Holds the actual value of the option.

Constructor Summary
`OptionArgument.Entry(Object value)` Constructs an entry.
`OptionArgument.Entry(Object description, Object value)` Constructs an entry.

Method Summary
`Object` `getDescription()`
`Object` `getValue()`
`String` `getValueToString()` Gets the value of the String.
`void` `setDescription(Object description)`
`void` `setValue(Object value)`
`String` `toString()` String representation of the Entry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### description

    private Object description

  Describes the option.

### value

    private Object value

  Holds the actual value of the option.

Constructor Detail

### OptionArgument.Entry

    public OptionArgument.Entry(Object value)

  Constructs an entry.

Parameters:
  `value` - the value of the entry (that wil be identical to the description)

### OptionArgument.Entry

    public OptionArgument.Entry(Object description,
                                Object value)

  Constructs an entry.

Parameters:
  `description` - the description of the entry
  `value` - the value of the entry

Method Detail

### toString

    public String toString()

  String representation of the Entry.

  Returns:
    a description of the entry

### getValueToString

    public String getValueToString()

  Gets the value of the String.

  Returns:
    the toString of the value

### getDescription

    public Object getDescription()

  Returns:
    Returns the description.

### setDescription

    public void setDescription(Object description)

  Parameters:
    `description` - The description to set.

### getValue

    public Object getValue()

  Returns:
    Returns the value.

### setValue

    public void setValue(Object value)

  Parameters:
    `value` - The value to set.